Installation cryptkeeper impossible

x86_64
omlx-3.0
Tags: #<Tag:0x00007fe6a7105780> #<Tag:0x00007fe6a7105550>

#1

bonjour,
je souhaitais installer cryptkeeper mais c’est impossible alors qu’il est dans le gestionnaire.
j’ai ce message d’erreur : Sorry, the following packages cannot be selected:

  • cryptkeeper-0.9.5-2-omv2015.0.x86_64 (car encfs est non satisfait)

peut on contourner ce probleme?

Merci à tous


#2

Bonjour,

en effet il y a une dépendance cassée avec encfs. Je regarde comment on peut remettre ce dernier dans les dépôts.


#3

bonsoir
merci beaucoup
j’espere que je saurais faire apres
merci


#4

Désolé, aparté en anglais :wink:

@luca there is a weird issue where cryptkeeper is needing encfs, which is found by «command-not-found»

But no encfs package in repos. As you know both repos from rosa and oma, do you know if a «encfs» package from Rosa could be used, while the package is made for om? (to make cryptkeeper work)


#5

Il est pas toujours facile :frowning:

# urpmi encfs-1.8.1-1-rosa2014.1.x86_64.rpm lib64encfs6-1.8.1-1-rosa2014.1.x86_64.rpm
A requested package cannot be installed:
lib64encfs6-1.8.1-1-rosa2014.1.x86_64 (due to unsatisfied libboost_serialization.so.1.55.0()(64bit))
Continue installation anyway? (Y/n)


#6

Ok i’ll ask for the package then, thank you :slight_smile:


#7

I’m building it :wink:
now in testing

http://file-store.openmandriva.org/api/v1/file_stores/19b34310783e9e8964375dabfd53d83b494759e4
http://file-store.openmandriva.org/api/v1/file_stores/718cd1161b99cf9e37c090f96769ead3d5efa4c2


#8

bonjour,
si je comprends ben vous avez demandé à avoir encf dans les paquets openmandriva et on devrait l’avoir?
merci pour ce suivi
bon week end


#9

@openmandriva oui c’est ça :slight_smile:

@luca thank you!


#10

Les paquets construits par luca ne sont pas encore dans les dépôts officiels.
On peut cependant les télécharger avec les liens donnés (1) et les installer avant cryptkeeper.

Avec dolphin, ouvrir le dossier de téléchargement et cliquer d’abord sur lib64encfs6. Il sera proposé de l’installer en donnant le mot de passe du compte qui les droits d’administrateur (pas root).
On fait la même chose avec encfs. Enfin on peut installer cryptkeeper depuis le le mcc.
Apparemment, ça fonctionne. Mais il faut sans doute tester un peu avant utilisation réelle.

(1): les paquets sont encfs-1.7.4-6-omv2015.0.x86_64.rpm et lib64encfs6-1.7.4-6-omv2015.0.x86_64.rpm


#11

bonjour,
j’ai installé les 2 paquets puis cryptkeeper
Ca à l’air de fonctionner
Alors maintenant une petite question car je suis curieux et j’aime bien savoir le comment de la chose; où viennent ces paquets? ont il été construits spécialement pour openmandriva?
Merci à vous tous pour ce travail


#12

http://abf-downloads.openmandriva.org/3.0/repository/x86_64/contrib/testing/

en attendant l’approbation de QA Team